#include <avr/io.h>
#define F_CPU 16000000
#include <util/delay.h>
#include <stdio.h>

#define SENZOR 7
#define IN1 0
#define IN2 1
#define IN3 2
#define IN4 3




void ADC_init(void)
{

	
	ADMUX = (1 << REFS0);
	ADCSRA = (1 << ADATE);	
	ADCSRA |= (1 << ADEN);	
	ADCSRA |= (1 << ADSC);
	ADCSRA |= (1 << ADPS2);
	ADCSRA |= (1 << ADPS1);
	ADCSRA |= (1 << ADPS0);

}

int ADC_get(uint8_t channel)
{
	ADMUX &= ~(1<<MUX4);
	ADMUX &= ~(1<<MUX3);
	ADMUX &= ~(1<<MUX2);
	ADMUX &= ~(1<<MUX1);
	ADMUX &= ~(1<<MUX0);
	ADMUX |= channel;

	ADCSRA |= (1<<ADSC);

	while(!(ADCSRA & (1<<ADIF)));

	return ADC;
}
void stanga()
{
	PORTC &= ~(1<<IN1);
	PORTC &= ~(1<<IN2);
	PORTC &= ~(1<<IN3);		
	PORTC &= ~(1<<IN4);
	
	PORTC |=(1<<IN1);
	PORTC |=(1<<IN4);

}

void fata()
{
	PORTC &= ~(1<<IN1);
	PORTC &= ~(1<<IN2);
	PORTC &= ~(1<<IN3);		
	PORTC &= ~(1<<IN4);
	
	PORTC |=(1<<IN1);
	PORTC |=(1<<IN3);
}

void stop(){
PORTC &= ~(1<<IN1);
	PORTC &= ~(1<<IN2);
	PORTC &= ~(1<<IN3);		
	PORTC &= ~(1<<IN4);
}

int main(){
	DDRC = 0xFF;
	DDRB = 0xFF;		
	DDRD = 0xFF;
		
	int val;
	
	PORTD = 255;
	PORTC = 0;
	
	PORTC |=(1<<SENZOR);
	ADC_init();
	
	while(1)
	{	val = 0;
		val =ADC_get(0);
			_delay_ms(200);
			//MAX_DIST
		if(val > 80){
				
			stanga();
			_delay_ms(200);
			stop();
		}
		else{		
			fata();
			_delay_ms(200);
			stop();
		}
		val=0;
	}
	

	return 0;
}
